extern double plecsmax(double, double);

extern double plecsmin(double, double);

extern double plecslu1d(void *, double);

extern double plecslu2d(void *, double, double);

extern double plecslu3d(void *, double, double, double);

struct CScriptStruct
{
   int numInputs;
   int numOutputs;
   int numContStates;
   int numDiscStates;
   int numZCSignals;
   int numSampleTimes;
   int numParameters;
   int isMajorTimeStep;
   int isInputUnavailable;
   double time;
   const double **inputs;
   double **outputs;
   double *contStates;
   double *contDerivs;
   double *discStates;
   double *zCSignals;
   const int *paramNumDims;
   const int **paramDims;
   const int *paramNumElements;
   const double **paramRealData;
   const char * const *sampleHits;
   double *nextSampleHit;
   const char** errorStatus;
   const char** rangeErrorMsg;
   int* rangeErrorLine;
};
